Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-7064075

Security libraries don't build with javac -Xlint:all,-deprecation -Werror

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P4
    • Resolution: Fixed
    • Affects Version/s: 7, 8
    • Fix Version/s: 8
    • Component/s: infrastructure
    • Labels:
      None
    • Subcomponent:
    • Resolved In Build:
      b04
    • CPU:
      generic
    • OS:
      generic

      Backports

        Description

        Building com/sun/crypto/provider, com/sun/security, java/security, javax/crypto, sun/security and subdirectories with javac -Xlint:all,-deprecation -Werror produces fatal errors. Some of these warnings represent actual errors (e.g., unintentional case fallthrough).

          Issue Links

            Activity

            Hide
            duke J. Duke (Inactive) added a comment -
            BT2:EVALUATION

            Add -Xlint:all,-deprecation to javac options in relevant makefiles and fix resulting warnings. Add -Werror to javac options in the relevant makefiles to prevent reintroduction of warnings.
            Show
            duke J. Duke (Inactive) added a comment - BT2:EVALUATION Add -Xlint:all,-deprecation to javac options in relevant makefiles and fix resulting warnings. Add -Werror to javac options in the relevant makefiles to prevent reintroduction of warnings.

              People

              • Assignee:
                duke J. Duke (Inactive)
                Reporter:
                duke J. Duke (Inactive)
              • Votes:
                0 Vote for this issue
                Watchers:
                0 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Imported:
                  Indexed: